// DlgConfigJoystick.cpp : implementation file
//

#include "stdafx.h"
#include "HexMotion.h"
#include "DlgConfigJoystick.h"
#include "Joystick.h"


bool CDlgConfigJoystick::m_bIsActive = false;
// DlgConfigJoystick dialog

IMPLEMENT_DYNAMIC(CDlgConfigJoystick, CDialog)
CDlgConfigJoystick::CDlgConfigJoystick(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgConfigJoystick::IDD, pParent)
{
	m_fTranslationFaktor	= 1;
	m_fRotationFaktor		= 1;
	m_uZyklusZeit			= 1;
}

CDlgConfigJoystick::~CDlgConfigJoystick()
{
}

void CDlgConfigJoystick::DoDataExchange(CDataExchange* pDX)
{
	if(CJoystick::m_pCJoystick != NULL)
	{
		m_fTranslationFaktor	= CJoystick::m_pCJoystick->m_fTranslationFaktor;
		m_fRotationFaktor		= CJoystick::m_pCJoystick->m_fRotationFaktor;
		m_uZyklusZeit			= CJoystick::m_pCJoystick->m_sleepTime;
	}
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_TRANSLATION, m_fTranslationFaktor);
	DDX_Text(pDX, IDC_ROTATION, m_fRotationFaktor);
	DDX_Text(pDX, IDC_ZYKLUSZEIT, m_uZyklusZeit);
}


BEGIN_MESSAGE_MAP(CDlgConfigJoystick, CDialog)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
END_MESSAGE_MAP()


// DlgConfigJoystick message handlers

void CDlgConfigJoystick::OnBnClickedOk()
{
	OnOK();
	if(CJoystick::m_pCJoystick != NULL)
	{
		CJoystick::m_pCJoystick->m_fTranslationFaktor	= m_fTranslationFaktor;
		CJoystick::m_pCJoystick->m_fRotationFaktor		= m_fRotationFaktor;
	}
	CJoystick::m_pCJoystick->m_sleepTime = m_uZyklusZeit;
	m_bIsActive=false;
 	DestroyWindow();
}