
#include "resource.h"

#pragma once

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgPlattformSettings 

class CDlgPlattformSettings : public CDialog {
// Konstruktion
public:
 void UpdateDlg();
 virtual void OnOK();
 virtual void OnCancel();
 bool m_bIsActive;
 CDlgPlattformSettings(CWnd* pParent = NULL);   // Standardkonstruktor

// Dialogfelddaten
	//{{AFX_DATA(CDlgPlattformSettings)
 enum { IDD = IDD_PLATTFORM_SETTINGS };
 CSliderCtrl	m_ctlSlider[6];
 CComboBox	m_ctlLinkPointSelect;
 float	m_dPlattformPos[3];
 float	m_dPlattformOrientation[3];
 float	m_dLP[3];
 float	m_dPlattformIncrTranslation;
 float	m_dPlattformIncrRotation;
 int	m_nLinkPointSelect;
 int	m_nSlider[6];
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CDlgPlattformSettings)
protected:
 virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CDlgPlattformSettings)
 afx_msg void OnBtnPlattformUpdate();
 virtual BOOL OnInitDialog();
 afx_msg void OnSelchangeLinkpointList();
 afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
 DECLARE_MESSAGE_MAP()
private:
 void	MoveServo(int nServoNr, int nValue);
 float	m_fPosOffset[3];
};

//{{AFX_INSERT_LOCATION}}

